aboutsummaryrefslogtreecommitdiff
path: root/git-clone.sh
diff options
context:
space:
mode:
authorChris Wright <chrisw@sous-sol.org>2007-03-19 19:18:18 -0700
committerJunio C Hamano <junkio@cox.net>2007-03-19 23:46:30 -0700
commit7e8c8255e9bf33dd046b95c4bd1ef554ad3c71b2 (patch)
tree7448370856192362cc1eeeca2ed5ed67932a7e33 /git-clone.sh
parent456cdf6edbf0c14b75fd9048708e9abea43e6aa1 (diff)
downloadgit-7e8c8255e9bf33dd046b95c4bd1ef554ad3c71b2.tar.gz
git-7e8c8255e9bf33dd046b95c4bd1ef554ad3c71b2.tar.xz
make git clone -q suppress the noise with http fetch
We already have -q in git clone. So for those who care to suppress the noise during an http based clone, make -q actually do a quiet http fetch. Signed-off-by: Chris Wright <chrisw@sous-sol.org> Cc: Fernando Herrera <fherrera@onirica.com> Signed-off-by: Junio C Hamano <junkio@cox.net>
Diffstat (limited to 'git-clone.sh')
-rwxr-xr-xgit-clone.sh3
1 files changed, 2 insertions, 1 deletions
diff --git a/git-clone.sh b/git-clone.sh
index de5198358..6ba477d1f 100755
--- a/git-clone.sh
+++ b/git-clone.sh
@@ -42,6 +42,7 @@ clone_dumb_http () {
http_fetch "$1/info/refs" "$clone_tmp/refs" ||
die "Cannot get remote repository information.
Perhaps git-update-server-info needs to be run there?"
+ test "z$quiet" = z && v=-v || v=
while read sha1 refname
do
name=`expr "z$refname" : 'zrefs/\(.*\)'` &&
@@ -59,7 +60,7 @@ Perhaps git-update-server-info needs to be run there?"
else
tname=$name
fi
- git-http-fetch -v -a -w "$tname" "$name" "$1/" || exit 1
+ git-http-fetch $v -a -w "$tname" "$name" "$1/" || exit 1
done <"$clone_tmp/refs"
rm -fr "$clone_tmp"
http_fetch "$1/HEAD" "$GIT_DIR/REMOTE_HEAD" ||